Bug 1729448 - Info icon related to memory on Virtual Machine tab of Create host page doesn't work using host group.
Summary: Info icon related to memory on Virtual Machine tab of Create host page doesn'...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 6.6.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-12 10:23 UTC by Jameer Pathan
Modified: 2019-10-25 11:26 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:48:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
on_sat_65 (47.03 KB, image/png)
2019-07-12 10:25 UTC, Jameer Pathan
no flags Details
on_sat_65_2 (69.69 KB, image/png)
2019-07-12 10:26 UTC, Jameer Pathan
no flags Details
on_sat_66 (44.68 KB, image/png)
2019-07-12 10:27 UTC, Jameer Pathan
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27537 None None None 2019-08-07 12:52:30 UTC

Description Jameer Pathan 2019-07-12 10:23:39 UTC
Description of problem:
Info icon related to memory on Virtual Machine tab of Create host doesn't work.

Version-Release number of selected component (if applicable):
- Satellite 6.6.0 snap 10

How reproducible:
always

Steps to Reproduce:
1. create host group with compute resource and compute profile 
(I had libvirt compute resource)
2. Go to create Host page
3. use host group created previously
4. go to virtual machine tab
5. click on memory icon

Actual results:
- no information displayed regarding memory.
- memory size is not displayed in MB/GB.

Expected results:
- information displayed regarding memory.
- memory size is displayed in MB/GB.

Additional info:

Comment 3 Jameer Pathan 2019-07-12 10:25:54 UTC
Created attachment 1589828 [details]
on_sat_65

Comment 4 Jameer Pathan 2019-07-12 10:26:38 UTC
Created attachment 1589829 [details]
on_sat_65_2

Comment 5 Jameer Pathan 2019-07-12 10:27:22 UTC
Created attachment 1589830 [details]
on_sat_66

Comment 7 Ondřej Pražák 2019-08-07 12:52:29 UTC
Created redmine issue https://projects.theforeman.org/issues/27537 from this bug

Comment 8 Bryan Kearney 2019-08-07 14:07:32 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 9 Bryan Kearney 2019-08-07 14:07:34 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 10 Bryan Kearney 2019-08-08 18:07:27 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27537 has been resolved.

Comment 13 Jameer Pathan 2019-08-21 06:14:22 UTC
Verified

Verified with:
- Satellite 6.6.0 snap 16

Test steps:
1. Create Host Group with compute resource and compute profile 
(I have used libvirt compute resource)
2. Go to create Host page
3. Use Host Group created previously.
4. Go to virtual machine tab.
5. Click on memory icon.

Observation:
- Info icon working as expected.
- The message shown is "When specifying custom value, 
add 'MB' or 'GB' at the end. Field is not case sensitive 
and MB is default if unspecified."

Additional info:
- Filed separate BZ1743987 for issue 
related to memory field.

Comment 14 Bryan Kearney 2019-10-22 19:48:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.